Subject: bug#25536: problem in adding a prog to make in coreutils -- spread to multiple files

From: L A Walsh <[email-masked]>
Date: Wed, 25 Jan 2017 14:09:42 -0800

I was trying to compile a file in the 'src' dir of the coreutils,
called 'retab.c' but I got all sorts of weird errors.  Trying
to do a make clean and remaking it I now get it in a bunch of files:

./lib/time.h:20:1: error: stray '@' in program
 @ PRAGMA_SYSTEM_HEADER @
 ^
./lib/time.h:20:24: error: stray '@' in program
 @ PRAGMA_SYSTEM_HEADER @
                        ^
./lib/time.h:22:2: error: stray '@' in program
  @PRAGMA_COLUMNS @
  ^
./lib/time.h:20:3: error: unknown type name 'PRAGMA_SYSTEM_HEADER'
 @ PRAGMA_SYSTEM_HEADER @
   ^
./lib/time.h:22:18: error: stray '@' in program
  @PRAGMA_COLUMNS @
                  ^
In file included from ./lib/time.h:33:0,
                 from /usr/include/sys/types.h:132,
                 from ./lib/sys/types.h:26,
                 from lib/acl.h:24,
                 from lib/copy-acl.c:22:
/usr/include/time.h:59:1: error: expected '=', ',', ';', 'asm' or 
'__attribute__' before 'typedef'
 typedef __clock_t clock_t;
--------

Indeed, when I look at the .h files they have the '@' signs in them.

Was something suppose to replace those?

How does one add a file to be made?

I tried going through Makefile.in, but it seems like to add
1 file, there are about 15-20 (likely more, as I'm guessing I missed
some) places where one has to add the file.

That can't be the right way to add a file?